Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network249.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
249.128.0.0
Broadcast address
249.255.255.255
First usable
249.128.0.1
Last usable
249.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F9800000 · Integer 4185915392 to 4194303999
Reverse DNS zones
128.249.in-addr.arpa
129.249.in-addr.arpa
130.249.in-addr.arpa
131.249.in-addr.arpa
132.249.in-addr.arpa
133.249.in-addr.arpa
134.249.in-addr.arpa
135.249.in-addr.arpa
136.249.in-addr.arpa
137.249.in-addr.arpa
138.249.in-addr.arpa
139.249.in-addr.arpa
140.249.in-addr.arpa
141.249.in-addr.arpa
142.249.in-addr.arpa
143.249.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111001.10000000.00000000.00000000249.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network11111001.10000000.00000000.00000000249.128.0.0
Broadcast11111001.11111111.11111111.11111111249.255.255.255
Split into smaller subnets/18

249.128.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1249.128.0.0/18249.128.0.1 to 249.128.63.254249.128.63.25516,382
2249.128.64.0/18249.128.64.1 to 249.128.127.254249.128.127.25516,382
3249.128.128.0/18249.128.128.1 to 249.128.191.254249.128.191.25516,382
4249.128.192.0/18249.128.192.1 to 249.128.255.254249.128.255.25516,382
5249.129.0.0/18249.129.0.1 to 249.129.63.254249.129.63.25516,382
6249.129.64.0/18249.129.64.1 to 249.129.127.254249.129.127.25516,382
7249.129.128.0/18249.129.128.1 to 249.129.191.254249.129.191.25516,382
8249.129.192.0/18249.129.192.1 to 249.129.255.254249.129.255.25516,382
9249.130.0.0/18249.130.0.1 to 249.130.63.254249.130.63.25516,382
10249.130.64.0/18249.130.64.1 to 249.130.127.254249.130.127.25516,382
11249.130.128.0/18249.130.128.1 to 249.130.191.254249.130.191.25516,382
12249.130.192.0/18249.130.192.1 to 249.130.255.254249.130.255.25516,382
13249.131.0.0/18249.131.0.1 to 249.131.63.254249.131.63.25516,382
14249.131.64.0/18249.131.64.1 to 249.131.127.254249.131.127.25516,382
15249.131.128.0/18249.131.128.1 to 249.131.191.254249.131.191.25516,382
16249.131.192.0/18249.131.192.1 to 249.131.255.254249.131.255.25516,382
17249.132.0.0/18249.132.0.1 to 249.132.63.254249.132.63.25516,382
18249.132.64.0/18249.132.64.1 to 249.132.127.254249.132.127.25516,382
19249.132.128.0/18249.132.128.1 to 249.132.191.254249.132.191.25516,382
20249.132.192.0/18249.132.192.1 to 249.132.255.254249.132.255.25516,382
21249.133.0.0/18249.133.0.1 to 249.133.63.254249.133.63.25516,382
22249.133.64.0/18249.133.64.1 to 249.133.127.254249.133.127.25516,382
23249.133.128.0/18249.133.128.1 to 249.133.191.254249.133.191.25516,382
24249.133.192.0/18249.133.192.1 to 249.133.255.254249.133.255.25516,382
25249.134.0.0/18249.134.0.1 to 249.134.63.254249.134.63.25516,382
26249.134.64.0/18249.134.64.1 to 249.134.127.254249.134.127.25516,382
27249.134.128.0/18249.134.128.1 to 249.134.191.254249.134.191.25516,382
28249.134.192.0/18249.134.192.1 to 249.134.255.254249.134.255.25516,382
29249.135.0.0/18249.135.0.1 to 249.135.63.254249.135.63.25516,382
30249.135.64.0/18249.135.64.1 to 249.135.127.254249.135.127.25516,382
31249.135.128.0/18249.135.128.1 to 249.135.191.254249.135.191.25516,382
32249.135.192.0/18249.135.192.1 to 249.135.255.254249.135.255.25516,382
33249.136.0.0/18249.136.0.1 to 249.136.63.254249.136.63.25516,382
34249.136.64.0/18249.136.64.1 to 249.136.127.254249.136.127.25516,382
35249.136.128.0/18249.136.128.1 to 249.136.191.254249.136.191.25516,382
36249.136.192.0/18249.136.192.1 to 249.136.255.254249.136.255.25516,382
37249.137.0.0/18249.137.0.1 to 249.137.63.254249.137.63.25516,382
38249.137.64.0/18249.137.64.1 to 249.137.127.254249.137.127.25516,382
39249.137.128.0/18249.137.128.1 to 249.137.191.254249.137.191.25516,382
40249.137.192.0/18249.137.192.1 to 249.137.255.254249.137.255.25516,382
41249.138.0.0/18249.138.0.1 to 249.138.63.254249.138.63.25516,382
42249.138.64.0/18249.138.64.1 to 249.138.127.254249.138.127.25516,382
43249.138.128.0/18249.138.128.1 to 249.138.191.254249.138.191.25516,382
44249.138.192.0/18249.138.192.1 to 249.138.255.254249.138.255.25516,382
45249.139.0.0/18249.139.0.1 to 249.139.63.254249.139.63.25516,382
46249.139.64.0/18249.139.64.1 to 249.139.127.254249.139.127.25516,382
47249.139.128.0/18249.139.128.1 to 249.139.191.254249.139.191.25516,382
48249.139.192.0/18249.139.192.1 to 249.139.255.254249.139.255.25516,382
49249.140.0.0/18249.140.0.1 to 249.140.63.254249.140.63.25516,382
50249.140.64.0/18249.140.64.1 to 249.140.127.254249.140.127.25516,382
51249.140.128.0/18249.140.128.1 to 249.140.191.254249.140.191.25516,382
52249.140.192.0/18249.140.192.1 to 249.140.255.254249.140.255.25516,382
53249.141.0.0/18249.141.0.1 to 249.141.63.254249.141.63.25516,382
54249.141.64.0/18249.141.64.1 to 249.141.127.254249.141.127.25516,382
55249.141.128.0/18249.141.128.1 to 249.141.191.254249.141.191.25516,382
56249.141.192.0/18249.141.192.1 to 249.141.255.254249.141.255.25516,382
57249.142.0.0/18249.142.0.1 to 249.142.63.254249.142.63.25516,382
58249.142.64.0/18249.142.64.1 to 249.142.127.254249.142.127.25516,382
59249.142.128.0/18249.142.128.1 to 249.142.191.254249.142.191.25516,382
60249.142.192.0/18249.142.192.1 to 249.142.255.254249.142.255.25516,382
61249.143.0.0/18249.143.0.1 to 249.143.63.254249.143.63.25516,382
62249.143.64.0/18249.143.64.1 to 249.143.127.254249.143.127.25516,382
63249.143.128.0/18249.143.128.1 to 249.143.191.254249.143.191.25516,382
64249.143.192.0/18249.143.192.1 to 249.143.255.254249.143.255.25516,382
65249.144.0.0/18249.144.0.1 to 249.144.63.254249.144.63.25516,382
66249.144.64.0/18249.144.64.1 to 249.144.127.254249.144.127.25516,382
67249.144.128.0/18249.144.128.1 to 249.144.191.254249.144.191.25516,382
68249.144.192.0/18249.144.192.1 to 249.144.255.254249.144.255.25516,382
69249.145.0.0/18249.145.0.1 to 249.145.63.254249.145.63.25516,382
70249.145.64.0/18249.145.64.1 to 249.145.127.254249.145.127.25516,382
71249.145.128.0/18249.145.128.1 to 249.145.191.254249.145.191.25516,382
72249.145.192.0/18249.145.192.1 to 249.145.255.254249.145.255.25516,382
73249.146.0.0/18249.146.0.1 to 249.146.63.254249.146.63.25516,382
74249.146.64.0/18249.146.64.1 to 249.146.127.254249.146.127.25516,382
75249.146.128.0/18249.146.128.1 to 249.146.191.254249.146.191.25516,382
76249.146.192.0/18249.146.192.1 to 249.146.255.254249.146.255.25516,382
77249.147.0.0/18249.147.0.1 to 249.147.63.254249.147.63.25516,382
78249.147.64.0/18249.147.64.1 to 249.147.127.254249.147.127.25516,382
79249.147.128.0/18249.147.128.1 to 249.147.191.254249.147.191.25516,382
80249.147.192.0/18249.147.192.1 to 249.147.255.254249.147.255.25516,382
81249.148.0.0/18249.148.0.1 to 249.148.63.254249.148.63.25516,382
82249.148.64.0/18249.148.64.1 to 249.148.127.254249.148.127.25516,382
83249.148.128.0/18249.148.128.1 to 249.148.191.254249.148.191.25516,382
84249.148.192.0/18249.148.192.1 to 249.148.255.254249.148.255.25516,382
85249.149.0.0/18249.149.0.1 to 249.149.63.254249.149.63.25516,382
86249.149.64.0/18249.149.64.1 to 249.149.127.254249.149.127.25516,382
87249.149.128.0/18249.149.128.1 to 249.149.191.254249.149.191.25516,382
88249.149.192.0/18249.149.192.1 to 249.149.255.254249.149.255.25516,382
89249.150.0.0/18249.150.0.1 to 249.150.63.254249.150.63.25516,382
90249.150.64.0/18249.150.64.1 to 249.150.127.254249.150.127.25516,382
91249.150.128.0/18249.150.128.1 to 249.150.191.254249.150.191.25516,382
92249.150.192.0/18249.150.192.1 to 249.150.255.254249.150.255.25516,382
93249.151.0.0/18249.151.0.1 to 249.151.63.254249.151.63.25516,382
94249.151.64.0/18249.151.64.1 to 249.151.127.254249.151.127.25516,382
95249.151.128.0/18249.151.128.1 to 249.151.191.254249.151.191.25516,382
96249.151.192.0/18249.151.192.1 to 249.151.255.254249.151.255.25516,382
97249.152.0.0/18249.152.0.1 to 249.152.63.254249.152.63.25516,382
98249.152.64.0/18249.152.64.1 to 249.152.127.254249.152.127.25516,382
99249.152.128.0/18249.152.128.1 to 249.152.191.254249.152.191.25516,382
100249.152.192.0/18249.152.192.1 to 249.152.255.254249.152.255.25516,382
101249.153.0.0/18249.153.0.1 to 249.153.63.254249.153.63.25516,382
102249.153.64.0/18249.153.64.1 to 249.153.127.254249.153.127.25516,382
103249.153.128.0/18249.153.128.1 to 249.153.191.254249.153.191.25516,382
104249.153.192.0/18249.153.192.1 to 249.153.255.254249.153.255.25516,382
105249.154.0.0/18249.154.0.1 to 249.154.63.254249.154.63.25516,382
106249.154.64.0/18249.154.64.1 to 249.154.127.254249.154.127.25516,382
107249.154.128.0/18249.154.128.1 to 249.154.191.254249.154.191.25516,382
108249.154.192.0/18249.154.192.1 to 249.154.255.254249.154.255.25516,382
109249.155.0.0/18249.155.0.1 to 249.155.63.254249.155.63.25516,382
110249.155.64.0/18249.155.64.1 to 249.155.127.254249.155.127.25516,382
111249.155.128.0/18249.155.128.1 to 249.155.191.254249.155.191.25516,382
112249.155.192.0/18249.155.192.1 to 249.155.255.254249.155.255.25516,382
113249.156.0.0/18249.156.0.1 to 249.156.63.254249.156.63.25516,382
114249.156.64.0/18249.156.64.1 to 249.156.127.254249.156.127.25516,382
115249.156.128.0/18249.156.128.1 to 249.156.191.254249.156.191.25516,382
116249.156.192.0/18249.156.192.1 to 249.156.255.254249.156.255.25516,382
117249.157.0.0/18249.157.0.1 to 249.157.63.254249.157.63.25516,382
118249.157.64.0/18249.157.64.1 to 249.157.127.254249.157.127.25516,382
119249.157.128.0/18249.157.128.1 to 249.157.191.254249.157.191.25516,382
120249.157.192.0/18249.157.192.1 to 249.157.255.254249.157.255.25516,382
121249.158.0.0/18249.158.0.1 to 249.158.63.254249.158.63.25516,382
122249.158.64.0/18249.158.64.1 to 249.158.127.254249.158.127.25516,382
123249.158.128.0/18249.158.128.1 to 249.158.191.254249.158.191.25516,382
124249.158.192.0/18249.158.192.1 to 249.158.255.254249.158.255.25516,382
125249.159.0.0/18249.159.0.1 to 249.159.63.254249.159.63.25516,382
126249.159.64.0/18249.159.64.1 to 249.159.127.254249.159.127.25516,382
127249.159.128.0/18249.159.128.1 to 249.159.191.254249.159.191.25516,382
128249.159.192.0/18249.159.192.1 to 249.159.255.254249.159.255.25516,382
129249.160.0.0/18249.160.0.1 to 249.160.63.254249.160.63.25516,382
130249.160.64.0/18249.160.64.1 to 249.160.127.254249.160.127.25516,382
131249.160.128.0/18249.160.128.1 to 249.160.191.254249.160.191.25516,382
132249.160.192.0/18249.160.192.1 to 249.160.255.254249.160.255.25516,382
133249.161.0.0/18249.161.0.1 to 249.161.63.254249.161.63.25516,382
134249.161.64.0/18249.161.64.1 to 249.161.127.254249.161.127.25516,382
135249.161.128.0/18249.161.128.1 to 249.161.191.254249.161.191.25516,382
136249.161.192.0/18249.161.192.1 to 249.161.255.254249.161.255.25516,382
137249.162.0.0/18249.162.0.1 to 249.162.63.254249.162.63.25516,382
138249.162.64.0/18249.162.64.1 to 249.162.127.254249.162.127.25516,382
139249.162.128.0/18249.162.128.1 to 249.162.191.254249.162.191.25516,382
140249.162.192.0/18249.162.192.1 to 249.162.255.254249.162.255.25516,382
141249.163.0.0/18249.163.0.1 to 249.163.63.254249.163.63.25516,382
142249.163.64.0/18249.163.64.1 to 249.163.127.254249.163.127.25516,382
143249.163.128.0/18249.163.128.1 to 249.163.191.254249.163.191.25516,382
144249.163.192.0/18249.163.192.1 to 249.163.255.254249.163.255.25516,382
145249.164.0.0/18249.164.0.1 to 249.164.63.254249.164.63.25516,382
146249.164.64.0/18249.164.64.1 to 249.164.127.254249.164.127.25516,382
147249.164.128.0/18249.164.128.1 to 249.164.191.254249.164.191.25516,382
148249.164.192.0/18249.164.192.1 to 249.164.255.254249.164.255.25516,382
149249.165.0.0/18249.165.0.1 to 249.165.63.254249.165.63.25516,382
150249.165.64.0/18249.165.64.1 to 249.165.127.254249.165.127.25516,382
151249.165.128.0/18249.165.128.1 to 249.165.191.254249.165.191.25516,382
152249.165.192.0/18249.165.192.1 to 249.165.255.254249.165.255.25516,382
153249.166.0.0/18249.166.0.1 to 249.166.63.254249.166.63.25516,382
154249.166.64.0/18249.166.64.1 to 249.166.127.254249.166.127.25516,382
155249.166.128.0/18249.166.128.1 to 249.166.191.254249.166.191.25516,382
156249.166.192.0/18249.166.192.1 to 249.166.255.254249.166.255.25516,382
157249.167.0.0/18249.167.0.1 to 249.167.63.254249.167.63.25516,382
158249.167.64.0/18249.167.64.1 to 249.167.127.254249.167.127.25516,382
159249.167.128.0/18249.167.128.1 to 249.167.191.254249.167.191.25516,382
160249.167.192.0/18249.167.192.1 to 249.167.255.254249.167.255.25516,382
161249.168.0.0/18249.168.0.1 to 249.168.63.254249.168.63.25516,382
162249.168.64.0/18249.168.64.1 to 249.168.127.254249.168.127.25516,382
163249.168.128.0/18249.168.128.1 to 249.168.191.254249.168.191.25516,382
164249.168.192.0/18249.168.192.1 to 249.168.255.254249.168.255.25516,382
165249.169.0.0/18249.169.0.1 to 249.169.63.254249.169.63.25516,382
166249.169.64.0/18249.169.64.1 to 249.169.127.254249.169.127.25516,382
167249.169.128.0/18249.169.128.1 to 249.169.191.254249.169.191.25516,382
168249.169.192.0/18249.169.192.1 to 249.169.255.254249.169.255.25516,382
169249.170.0.0/18249.170.0.1 to 249.170.63.254249.170.63.25516,382
170249.170.64.0/18249.170.64.1 to 249.170.127.254249.170.127.25516,382
171249.170.128.0/18249.170.128.1 to 249.170.191.254249.170.191.25516,382
172249.170.192.0/18249.170.192.1 to 249.170.255.254249.170.255.25516,382
173249.171.0.0/18249.171.0.1 to 249.171.63.254249.171.63.25516,382
174249.171.64.0/18249.171.64.1 to 249.171.127.254249.171.127.25516,382
175249.171.128.0/18249.171.128.1 to 249.171.191.254249.171.191.25516,382
176249.171.192.0/18249.171.192.1 to 249.171.255.254249.171.255.25516,382
177249.172.0.0/18249.172.0.1 to 249.172.63.254249.172.63.25516,382
178249.172.64.0/18249.172.64.1 to 249.172.127.254249.172.127.25516,382
179249.172.128.0/18249.172.128.1 to 249.172.191.254249.172.191.25516,382
180249.172.192.0/18249.172.192.1 to 249.172.255.254249.172.255.25516,382
181249.173.0.0/18249.173.0.1 to 249.173.63.254249.173.63.25516,382
182249.173.64.0/18249.173.64.1 to 249.173.127.254249.173.127.25516,382
183249.173.128.0/18249.173.128.1 to 249.173.191.254249.173.191.25516,382
184249.173.192.0/18249.173.192.1 to 249.173.255.254249.173.255.25516,382
185249.174.0.0/18249.174.0.1 to 249.174.63.254249.174.63.25516,382
186249.174.64.0/18249.174.64.1 to 249.174.127.254249.174.127.25516,382
187249.174.128.0/18249.174.128.1 to 249.174.191.254249.174.191.25516,382
188249.174.192.0/18249.174.192.1 to 249.174.255.254249.174.255.25516,382
189249.175.0.0/18249.175.0.1 to 249.175.63.254249.175.63.25516,382
190249.175.64.0/18249.175.64.1 to 249.175.127.254249.175.127.25516,382
191249.175.128.0/18249.175.128.1 to 249.175.191.254249.175.191.25516,382
192249.175.192.0/18249.175.192.1 to 249.175.255.254249.175.255.25516,382
193249.176.0.0/18249.176.0.1 to 249.176.63.254249.176.63.25516,382
194249.176.64.0/18249.176.64.1 to 249.176.127.254249.176.127.25516,382
195249.176.128.0/18249.176.128.1 to 249.176.191.254249.176.191.25516,382
196249.176.192.0/18249.176.192.1 to 249.176.255.254249.176.255.25516,382
197249.177.0.0/18249.177.0.1 to 249.177.63.254249.177.63.25516,382
198249.177.64.0/18249.177.64.1 to 249.177.127.254249.177.127.25516,382
199249.177.128.0/18249.177.128.1 to 249.177.191.254249.177.191.25516,382
200249.177.192.0/18249.177.192.1 to 249.177.255.254249.177.255.25516,382
201249.178.0.0/18249.178.0.1 to 249.178.63.254249.178.63.25516,382
202249.178.64.0/18249.178.64.1 to 249.178.127.254249.178.127.25516,382
203249.178.128.0/18249.178.128.1 to 249.178.191.254249.178.191.25516,382
204249.178.192.0/18249.178.192.1 to 249.178.255.254249.178.255.25516,382
205249.179.0.0/18249.179.0.1 to 249.179.63.254249.179.63.25516,382
206249.179.64.0/18249.179.64.1 to 249.179.127.254249.179.127.25516,382
207249.179.128.0/18249.179.128.1 to 249.179.191.254249.179.191.25516,382
208249.179.192.0/18249.179.192.1 to 249.179.255.254249.179.255.25516,382
209249.180.0.0/18249.180.0.1 to 249.180.63.254249.180.63.25516,382
210249.180.64.0/18249.180.64.1 to 249.180.127.254249.180.127.25516,382
211249.180.128.0/18249.180.128.1 to 249.180.191.254249.180.191.25516,382
212249.180.192.0/18249.180.192.1 to 249.180.255.254249.180.255.25516,382
213249.181.0.0/18249.181.0.1 to 249.181.63.254249.181.63.25516,382
214249.181.64.0/18249.181.64.1 to 249.181.127.254249.181.127.25516,382
215249.181.128.0/18249.181.128.1 to 249.181.191.254249.181.191.25516,382
216249.181.192.0/18249.181.192.1 to 249.181.255.254249.181.255.25516,382
217249.182.0.0/18249.182.0.1 to 249.182.63.254249.182.63.25516,382
218249.182.64.0/18249.182.64.1 to 249.182.127.254249.182.127.25516,382
219249.182.128.0/18249.182.128.1 to 249.182.191.254249.182.191.25516,382
220249.182.192.0/18249.182.192.1 to 249.182.255.254249.182.255.25516,382
221249.183.0.0/18249.183.0.1 to 249.183.63.254249.183.63.25516,382
222249.183.64.0/18249.183.64.1 to 249.183.127.254249.183.127.25516,382
223249.183.128.0/18249.183.128.1 to 249.183.191.254249.183.191.25516,382
224249.183.192.0/18249.183.192.1 to 249.183.255.254249.183.255.25516,382
225249.184.0.0/18249.184.0.1 to 249.184.63.254249.184.63.25516,382
226249.184.64.0/18249.184.64.1 to 249.184.127.254249.184.127.25516,382
227249.184.128.0/18249.184.128.1 to 249.184.191.254249.184.191.25516,382
228249.184.192.0/18249.184.192.1 to 249.184.255.254249.184.255.25516,382
229249.185.0.0/18249.185.0.1 to 249.185.63.254249.185.63.25516,382
230249.185.64.0/18249.185.64.1 to 249.185.127.254249.185.127.25516,382
231249.185.128.0/18249.185.128.1 to 249.185.191.254249.185.191.25516,382
232249.185.192.0/18249.185.192.1 to 249.185.255.254249.185.255.25516,382
233249.186.0.0/18249.186.0.1 to 249.186.63.254249.186.63.25516,382
234249.186.64.0/18249.186.64.1 to 249.186.127.254249.186.127.25516,382
235249.186.128.0/18249.186.128.1 to 249.186.191.254249.186.191.25516,382
236249.186.192.0/18249.186.192.1 to 249.186.255.254249.186.255.25516,382
237249.187.0.0/18249.187.0.1 to 249.187.63.254249.187.63.25516,382
238249.187.64.0/18249.187.64.1 to 249.187.127.254249.187.127.25516,382
239249.187.128.0/18249.187.128.1 to 249.187.191.254249.187.191.25516,382
240249.187.192.0/18249.187.192.1 to 249.187.255.254249.187.255.25516,382
241249.188.0.0/18249.188.0.1 to 249.188.63.254249.188.63.25516,382
242249.188.64.0/18249.188.64.1 to 249.188.127.254249.188.127.25516,382
243249.188.128.0/18249.188.128.1 to 249.188.191.254249.188.191.25516,382
244249.188.192.0/18249.188.192.1 to 249.188.255.254249.188.255.25516,382
245249.189.0.0/18249.189.0.1 to 249.189.63.254249.189.63.25516,382
246249.189.64.0/18249.189.64.1 to 249.189.127.254249.189.127.25516,382
247249.189.128.0/18249.189.128.1 to 249.189.191.254249.189.191.25516,382
248249.189.192.0/18249.189.192.1 to 249.189.255.254249.189.255.25516,382
249249.190.0.0/18249.190.0.1 to 249.190.63.254249.190.63.25516,382
250249.190.64.0/18249.190.64.1 to 249.190.127.254249.190.127.25516,382
251249.190.128.0/18249.190.128.1 to 249.190.191.254249.190.191.25516,382
252249.190.192.0/18249.190.192.1 to 249.190.255.254249.190.255.25516,382
253249.191.0.0/18249.191.0.1 to 249.191.63.254249.191.63.25516,382
254249.191.64.0/18249.191.64.1 to 249.191.127.254249.191.127.25516,382
255249.191.128.0/18249.191.128.1 to 249.191.191.254249.191.191.25516,382
256249.191.192.0/18249.191.192.1 to 249.191.255.254249.191.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses